<?php
include 'mysqli_connect.php';

// Get the guestbook_id from the URL
$guestbook_id = $_GET['guestbook_id'] ?? null;
$error_message = "";
$success_message = "";

if ($guestbook_id) {
    // Fetch the existing comment
    $query = "SELECT comment FROM guestbook WHERE guestbook_id = $guestbook_id";
    $result = mysqli_query($conn, $query);
    $row = mysqli_fetch_assoc($result);
    $comment = $row['comment'] ?? '';
} else {
    $error_message = "Invalid Guestbook ID.";
}

// Update the comment
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $new_comment = trim($_POST['comment']);

    if (!empty($new_comment)) {
        $updateQuery = "UPDATE guestbook SET comment = ? WHERE guestbook_id = ?";
        $stmt = $conn->prepare($updateQuery);
        $stmt->bind_param('si', $new_comment, $guestbook_id);

        if ($stmt->execute()) {
            $success_message = "Comment updated successfully!";
            header("Location: index.php");
            exit();
        } else {
            $error_message = "Error updating comment: " . $conn->error;
        }
    } else {
        $error_message = "Comment cannot be empty.";
    }
}

mysqli_close($conn);
?>

<!DOCTYPE html>
<html>
<head>
    <title>Update Comment</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>
<?php include 'header.php'; ?>

<h1>Update Comment</h1>
<?php
if ($error_message) echo "<p class='error'>$error_message</p>";
if ($success_message) echo "<p class='success'>$success_message</p>";
?>
<form action="" method="POST">
    <textarea name="comment" rows="4" cols="50"><?php echo htmlspecialchars($comment ?? ''); ?></textarea><br>
    <input type="submit" value="Update Comment">
</form>

<?php include 'footer.php'; ?>
</body>
</html>